SND_SOC_DAPM_TO_CODE(9)

NAME
snd_soc_dapm_to_codec - Casts a DAPM context to the CODEC it is embedded in

SYNOPSIS

struct snd_soc_codec * snd_soc_dapm_to_codec(struct snd_soc_dapm_context * dapm);

ARGUMENTS

dapm
    The DAPM context to cast to the CODEC

DESCRIPTION

This function must only be used on DAPM contexts that are known to be part of a CODEC (e.g. in a CODEC driver). Otherwise the behavior is undefined.

COPYRIGHT